LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 12-16-2003, 04:26 PM   #1
crdiscoverer
LQ Newbie
 
Registered: Nov 2003
Posts: 16

Rep: Reputation: 0
Epiphany not working with Mozilla 1.5


Hi, I'm running Fedora Core 1. That distro installs Mozilla 1.4.1 and Gnome 2.4, so I wanted to upgrade to Moz 1.5 and Gnome 2.4.1. The Gnome upgrade via RPMs went fine and Epiphany was upgraded to version 1.0.6 (I think?, the most current stable), but then I installed RPMs for Mozilla 1.5 (from their site) and Epiphany stopped working, the launcher didn't open the browser. Note that Mozilla was actually upgraded and it's running fine. The Epiphany launcher that's located in "/usr/bin" had some references to the old Mozilla folder (/usr/lib/Mozilla-1.4.1), so I changed them to "/usr/lib/Mozilla-1.5", but nothing happened. I've tried some things to "cheat" Epiphany: I've saved a copy of the old Mozilla folder and if I relocate it to /usr/lib, Epiphany starts working again (but I don't want two copies of Mozilla), also I've tried to rename the "mozilla-1.5" folder to "mozilla-1.4.1", and again Epiphany fails to load. I didn't get any error messages, the taskbar just shows "starting epiphany" but it never loads. Any help will be really appreciated! Thanks in advance.
 
Old 01-15-2004, 08:32 PM   #2
ramowl
Member
 
Registered: Jun 2003
Location: NM
Distribution: Suse 10.1
Posts: 56

Rep: Reputation: 15
Unhappy Epiphany Litany

I am running Mandrake 9.2. I tried loading Epiphany 1.0.6 with Mozilla 1.5 and it didn't work for me either! You can get Epiphany to load running "rpm -i --no deps" then using VIM to change the directories in the executable file, but you will get errors saying Epiphany can't find libgtkembedmoz.so and libxpcom.so. Thus, I loaded Epiphany 1.0 with Mozilla 1.4...viola, success! Now I am trying to figure out how to get the Mozilla plugins to work with Epiphany. I hit a couple of web sites that said to change the environment variable MOZ_PLUGIN_PATH to /usr/lib/mozilla/plugins. However, when I go to a Linux Mime/Files Type test page (yolinda), the plugins fail to load. Note: I also have Mozilla Firebird 0.7 loaded. Firebird passes 95% of the Linux Mime/Files Type test page files to the plugins with no sweat! Anybody out there know how to get Epiphany to use the plugins under /usr/lib/mozilla/plugins? Should we just chuck Epiphany and stick with Firebird?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
send a link from mozilla or epiphany mikeymouse Mandriva 1 10-19-2004 07:48 PM
Epiphany can't be used now. Mozilla initialization failed. Makaelin Linux - Software 5 10-16-2004 05:42 PM
Textboxes won't show in Galeon, Mozilla or Epiphany Techweenie1 Slackware 1 08-20-2004 05:21 PM
After I installed the Mozilla 1.5, epiphany and Galeon can not run preswang Linux - Software 1 10-19-2003 06:38 AM
cannot download files in mozilla -save dialog not working, galeon not working cmisip Linux - General 0 08-03-2003 04:25 PM


All times are GMT -5. The time now is 12:54 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration